#include<bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n,x,y;
    cin >> n;
    set<int> x1;
    set<int> y1;
    for (int i=0;i<n;i++)
    {
        cin >> x >> y;
        x1.insert(x);
        y1.insert(y);
    }
    cout << n-min(x1.size(),y1.size());
}